Name:       pylint
Summary:    Extensible Python source code checker
Version:    2.6.0
Release:    %mkrel 1
License:    GPLv2+
Group:      Development/Python
Url:        http://www.pylint.org/
Source0:    https://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildArch:  noarch
BuildRequires:  python3dist(pytest-runner)
BuildRequires:  python3dist(setuptools)

%description
PyLint is an extensible tool for checking whether Python
code satisfies a specified coding standard. It is similar to PyChecker
insofar that it can perform nearly all tests supported by
PyChecker. Pylint, however, can check many other things such as
line-code length, variable name adherence to a coding standard,
whether interfaces defined in the code are actually implemented, and much
more. One can easily extend PyLint with plugins.

%package -n python3-%{name}
Summary:    Extensible Python 3 source code checker
%{?python_provide:%python_provide python3-%{name}}
Requires:   python3dist(astroid) >= 1.1
Requires:   python3-pkg-resources

Obsoletes:  python2-%{name} < 2.1.1

Obsoletes:  python3-pylint-gui < 1.8.3-2
Provides:   python3-pylint-gui = %{version}-%{release}

Obsoletes:  pylint < 1.8.3-2
Provides:   pylint = %{version}-%{release}

Obsoletes:  pylint-gui < 1.8.3-2
Provides:   pylint-gui = %{version}-%{release}

%description -n python3-%{name}
PyLint is an extensible tool for checking whether Python
code satisfies a specified coding standard. It is similar to PyChecker
insofar that it can perform nearly all tests supported by
PyChecker. Pylint, however, can check many other things such as
line-code length, variable name adherence to a coding standard,
whether interfaces defined in the code are actually implemented, and much
more. One can easily extend PyLint with plugins.

%prep
%setup -q

# drop bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%check
true #%{__python3} setup.py test

%install
%py3_install

rm -rf %{buildroot}%{python3_sitelib}/pylint/test

mkdir -pm 755 %{buildroot}%{_mandir}/man1
install -pm 644 man/*.1 %{buildroot}%{_mandir}/man1/

%__install -d -m 755 %{buildroot}%{_sysconfdir}
%__install -m 644 ./examples/pylintrc %{buildroot}%{_sysconfdir}

%__install -d -m 755 %{buildroot}%{_sysconfdir}/emacs/site-start.d
%__install -m 644 ./elisp/pylint.el %{buildroot}%{_sysconfdir}/emacs/site-start.d/

%files -n python3-%{name}
%doc README.rst COPYING ChangeLog doc/ examples/ elisp
%{_bindir}/epylint
%{_bindir}/pylint
%{_bindir}/pyreverse
%{_bindir}/symilar
%{python3_sitelib}/pylint*
%{_mandir}/man1/*.1.*
%config(noreplace) %_sysconfdir/pylintrc
%config(noreplace) %_sysconfdir/emacs/site-start.d/pylint.el


%changelog
* Fri Oct 09 2020 shlomif <shlomif> 2.6.0-1.mga8
+ Revision: 1632974
- New version 2.6.0

* Fri Jul 03 2020 shlomif <shlomif> 2.5.3-1.mga8
+ Revision: 1601710
- New version 2.5.3

* Fri May 08 2020 shlomif <shlomif> 2.5.2-1.mga8
+ Revision: 1581815
- New version 2.5.2 by cheese-e-boi

* Wed May 06 2020 shlomif <shlomif> 2.5.0-1.mga8
+ Revision: 1581292
- New version 2.5.0 by cheese-e-boi

* Tue Feb 18 2020 umeabot <umeabot> 2.4.4-2.mga8
+ Revision: 1538215
- Mageia 8 Mass Rebuild

* Sat Nov 16 2019 daviddavid <daviddavid> 2.4.4-1.mga8
+ Revision: 1461176
- new version: 2.4.4

* Sat Nov 09 2019 daviddavid <daviddavid> 2.4.3-1.mga8
+ Revision: 1458875
- new version: 2.4.3

* Wed Oct 02 2019 daviddavid <daviddavid> 2.4.2-1.mga8
+ Revision: 1448748
- new version: 2.4.2

* Wed Sep 25 2019 daviddavid <daviddavid> 2.4.1-1.mga8
+ Revision: 1445874
- new version: 2.4.1
- remove merged upstream patch

* Sun Sep 08 2019 wally <wally> 2.3.1-2.mga8
+ Revision: 1438536
- rebuild for python3.8

* Fri Apr 05 2019 shlomif <shlomif> 2.3.1-1.mga7
+ Revision: 1386129
- New version 2.3.1

* Wed Jan 09 2019 tv <tv> 2.2.2-2.mga7
+ Revision: 1352988
- rebuild with python 3.7

* Sat Dec 29 2018 shlomif <shlomif> 2.2.2-1.mga7
+ Revision: 1346577
- New version 2.2.2

* Mon Oct 22 2018 wally <wally> 2.1.1-3.mga7
+ Revision: 1323570
- add obsoletes/provides for pylint and pylint-gui
- provide binaries and man pages also without python3- prefix

* Sun Oct 21 2018 shlomif <shlomif> 2.1.1-2.mga7
+ Revision: 1323266
- obsolete py2 pkg to fix build

* Thu Oct 18 2018 shlomif <shlomif> 2.1.1-1.mga7
+ Revision: 1321955
- New version 2.1.1 - no py2

* Thu Sep 20 2018 umeabot <umeabot> 1.9.2-2.mga7
+ Revision: 1288186
- Mageia 7 Mass Rebuild

* Wed Jun 13 2018 shlomif <shlomif> 1.9.2-1.mga7
+ Revision: 1236800
- New version 1.9.2

* Wed May 16 2018 shlomif <shlomif> 1.9.1-1.mga7
+ Revision: 1229900
- New version 1.9.1

* Sun Apr 29 2018 neoclust <neoclust> 1.8.3-3.mga7
+ Revision: 1223637
- Add more run deps
- Add backports.functools-lru-cache as run deps

* Sun Apr 29 2018 daviddavid <daviddavid> 1.8.3-2.mga7
+ Revision: 1223548
- add missing requires on python{2,3}-pkg-resources
- rename pylint to python2-pylint
- pylint-gui has been removed upstream

* Tue Apr 03 2018 shlomif <shlomif> 1.8.3-1.mga7
+ Revision: 1215072
- New version 1.8.3

* Sat Jan 27 2018 shlomif <shlomif> 1.8.2-1.mga7
+ Revision: 1197429
- New version 1.8.2

* Mon Jan 08 2018 shlomif <shlomif> 1.7.4-1.mga7
+ Revision: 1191648
- Add BRs
- New version 1.7.4

* Sat Aug 05 2017 pterjan <pterjan> 1.5.5-2.mga7
+ Revision: 1135292
- Rebuild for python 3.6

* Thu Apr 28 2016 shlomif <shlomif> 1.5.5-1.mga6
+ Revision: 1007191
- New version 1.5.5

* Mon Jan 25 2016 shlomif <shlomif> 1.5.4-1.mga6
+ Revision: 927434
- New version 1.5.4

* Mon Jan 04 2016 shlomif <shlomif> 1.5.2-1.mga6
+ Revision: 919503
- New version 1.5.2

* Thu Dec 17 2015 shlomif <shlomif> 1.5.1-1.mga6
+ Revision: 911431
- New version 1.5.1

* Thu Oct 08 2015 daviddavid <daviddavid> 1.4.4-2.mga6
+ Revision: 887362
- rebuild for python 3.5
- use python2 macros

* Wed Sep 02 2015 shlomif <shlomif> 1.4.4-1.mga6
+ Revision: 872327
- New version 1.4.4

* Mon Oct 20 2014 grenoya <grenoya> 1.3.1-1.mga5
+ Revision: 792202
- new version 1.3.1

* Wed Oct 15 2014 umeabot <umeabot> 1.3-11.mga5
+ Revision: 746352
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.3-10.mga5
+ Revision: 728005
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3-9.mga5
+ Revision: 687860
- Mageia 5 Mass Rebuild

* Tue Aug 05 2014 grenoya <grenoya> 1.3-8.mga5
+ Revision: 660025
- new version 1.3

* Sat May 31 2014 pterjan <pterjan> 1.1.0-8.mga5
+ Revision: 629709
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1.1.0-7.mga5
+ Revision: 628435
- Rebuild for new Python

* Tue Feb 18 2014 grenoya <grenoya> 1.1.0-6.mga5
+ Revision: 594515
- update to new version 1.1.0
- update urls (website and download)

* Tue Oct 22 2013 umeabot <umeabot> 1.0.0-4.mga4
+ Revision: 542909
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.0-3.mga4
+ Revision: 498048
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 02 2013 grenoya <grenoya> 1.0.0-2.mga4
+ Revision: 490571
- fix requires on python3 Tkinter

* Wed Oct 02 2013 grenoya <grenoya> 1.0.0-1.mga4
+ Revision: 490415
- new version 1.0.0
- split gui from main package
- add python3 packages

* Sun Jan 13 2013 umeabot <umeabot> 0.26.0-2.mga3
+ Revision: 378415
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 grenoya <grenoya> 0.26.0-1.mga3
+ Revision: 319865
- new version 0.26.0

* Mon Aug 20 2012 grenoya <grenoya> 0.25.2-1.mga3
+ Revision: 282690
- new version 0.25.2

* Thu Feb 23 2012 kharec <kharec> 0.25.1-1.mga2
+ Revision: 212510
- fix source0
- new version 0.25.1

* Sat Oct 08 2011 grenoya <grenoya> 0.25.0-1.mga2
+ Revision: 152991
- update to new version 0.25.0

* Tue Sep 06 2011 grenoya <grenoya> 0.24.0-1.mga2
+ Revision: 139542
- clean spec
- imported package pylint

